#!/usr/bin/env python3

"""API endpoints supporting the 'ui'."""

from importlib.resources import files
from sys import meta_path, prefix

from flask import Blueprint, request, Request, redirect

BLUEPRINT = Blueprint("api", __name__, url_prefix="/api")


####################################################################################################
# Printers
#
# The trick here is handling multipart uploads.
@BLUEPRINT.route("/printer", methods=["POST"])
def create_printer():
    pass


@BLUEPRINT.route("/printer", methods=["GET"])
def list_printers():
    pass


@BLUEPRINT.route("/printer", methods=["DELETE"])
def delete_printer():
    pass


####################################################################################################
# Files
#
# The trick here is handling multipart uploads.
@BLUEPRINT.route("/file", methods=["POST"])
def create_file():
    pass


@BLUEPRINT.route("/file", methods=["GET"])
def get_files():
    pass


@BLUEPRINT.route("/file", methods=["DELETE"])
def delete_file():
    pass


####################################################################################################
# Jobs
@BLUEPRINT.route("/job", methods=["POST"])
def create_job():
    pass


@BLUEPRINT.route("/job", methods=["GET"])
def get_jobs():
    pass


@BLUEPRINT.route("/job", methods=["DELETE"])
def delete_job():
    pass


####################################################################################################
# API tokens
@BLUEPRINT.route("/token", methods=["GET"])
def get_tokens():
    pass
